OpenVDB 5.1.0

Static Public Member Functions | List of all members
Gradient< ScaleTranslateMap, CD_2ND > Struct Template Reference

`#include <Operators.h>`

## Static Public Member Functions
template<typename Accessor >
static internal::ReturnValue< Accessor >::Vec3Type | result (const ScaleTranslateMap &map, const Accessor &grid, const Coord &ijk)
template<typename StencilT >
static internal::ReturnValue< StencilT >::Vec3Type | result (const ScaleTranslateMap &map, const StencilT &stencil)

## Detailed Description

### template<>
struct openvdb::v5_1::math::Gradient< ScaleTranslateMap, CD_2ND >

Full template specialization of Gradient scale translate, 2nd order

## Member Function Documentation

## ◆ result() [1/2]

static internal::ReturnValue<Accessor>::Vec3Type result | ( | const ScaleTranslateMap & | map,
|  | const Accessor & | grid,
|  | const Coord & | ijk
| ) |  |
| inline static

## ◆ result() [2/2]

static internal::ReturnValue<StencilT>::Vec3Type result | ( | const ScaleTranslateMap & | map,
|  | const StencilT & | stencil
| ) |  |
| inline static

The documentation for this struct was generated from the following file:

- Operators.h